<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [DarknetFormulas](./bitburner.darknetformulas.md) &gt; [getExpectedRamBlockRemoved](./bitburner.darknetformulas.getexpectedramblockremoved.md)

## DarknetFormulas.getExpectedRamBlockRemoved() method

Gets the expected amount off ram that will be freed by a call to dnet.memoryReallocation

**Signature:**

```typescript
getExpectedRamBlockRemoved(serverDetails: DarknetServerDetails, threads?: number, player?: Person): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

serverDetails


</td><td>

[DarknetServerDetails](./bitburner.darknetserverdetails.md)


</td><td>

The server to check ram freed on.


</td></tr>
<tr><td>

threads


</td><td>

number


</td><td>

_(Optional)_ The number of threads used in the memoryReallocation call. Optional, defaults to 1


</td></tr>
<tr><td>

player


</td><td>

[Person](./bitburner.person.md)


</td><td>

_(Optional)_ The player object. Optional, defaults to the current player status


</td></tr>
</tbody></table>

**Returns:**

number

